Skip to main content
GET
/
api
/
v1
/
additional-privilege
/
identity
/
{privilegeSlug}
cURL
curl --request GET \
  --url https://us.infisical.com/api/v1/additional-privilege/identity/{privilegeSlug} \
  --header 'Authorization: Bearer <token>'
{
  "privilege": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "slug": "<string>",
    "projectMembershipId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "permissions": [
      {
        "action": "<string>",
        "subject": "<string>",
        "conditions": "<unknown>",
        "inverted": true
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "isTemporary": false,
    "temporaryMode": "<string>",
    "temporaryRange": "<string>",
    "temporaryAccessStartTime": "2023-11-07T05:31:56Z",
    "temporaryAccessEndTime": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

privilegeSlug
string
required

The slug of the privilege.

Minimum string length: 1

Query Parameters

identityId
string
required

The ID of the machine identity to list.

Minimum string length: 1
projectSlug
string
required

The slug of the project of the identity in.

Minimum string length: 1

Response

Default Response

privilege
object
required